<script>
import { checkProgramUpdate } from '@/utils/uniapi'
import { errToast } from '@/utils/uniapi.js'
import { store } from '@/store'
import loginApi from '@/apis/login'
export default {
  // 全局参数
  globalData: {
    catID: null
  },
  onLaunch: async function ({query}) {
    // store.commit('indexPage/changeStoreType',false) // 更换域名
    store.commit('indexPage/changeDNS','wxC4')    // 更换域名 默认为菜市
    store.commit('login/setTmpData', {})
    store.commit('indexPage/saveBrandID', 1)

    // #ifdef APP-PLUS || APP
    let iSExistWeixinApp = plus.runtime.isApplicationExist({ pname: 'com.tencent.mm', action: 'weixin://' })
    store.commit('login/setISExistWeixinApp',iSExistWeixinApp)
    store.commit('setIsShowShop',iSExistWeixinApp)
    // #endif

    uni.removeStorageSync('waybillAddress')

     // #ifdef MP-TOUTIAO
    //  tta6a1d01c399f264201  京西菜市（抖音小程序）
    await store.dispatch('isHiddenCart','ks680887971696897880')   // 是否隐藏与购物车相关的一切信息
    // #endif

    // await this.globalLogin()
    
    // #ifdef MP-WEIXIN
    if (query !== undefined) {
      // await this.sceneValue(query)
		  // 是否进行支付
		  if(query.scene ){
        if (query.scene.includes('JXpay')) {
           let orderID = ''
           let dns = 'wxC4'
           if(query.scene.includes('id')){
            let decodedString = decodeURIComponent(query.scene)
            orderID = decodedString.split('-')[0].substring(3)
            dns = decodedString.split('-')[1].substring(6)
           }
          await this.globalLogin('',true)
          // 京西支付
          uni.reLaunch({
            url: `/pagesPay/JX-pay/JX-pay?orderID=${orderID}&dns=${dns}`
          });
        }else{
          //  扫码进入的
          // uni.removeStorageSync('fromStoreID')
          // uni.removeStorageSync('storeType')
        }
		  }
		  // 公众号进入
      if (query.brandID) {
        // uni.removeStorageSync('queryStoreID')
        // uni.removeStorageSync('fromStoreID')
        // uni.removeStorageSync('storeType')
		  }
    }
    // #endif

    uni.getSystemInfo({
      success: info => {
        store.commit('setIosOrAndroid', info)
      }
    })

    try {
      // 先隐藏底部tabBar
      uni.hideTabBar()
      
      // 检查是否有更新
      // #ifdef MP-WEIXIN || MP-KUAISHOU || MP-ALIPAY || MP-TOUTIAO || MP-ALIPAY
      await checkProgramUpdate()
      // #endif

      // #ifdef APP-PLUS || APP
      // uni['globalAlert'] = globalAlert // 挂载全局可覆盖tabar弹窗
      // let res = await loginApi.getVersionController('wxf3657c94aa01a3f0')
      // let appVersion = JSON.parse(res[0].value).update.version.replace(/[^0-9]/g, '')
      // console.log(Number(appVersion), 'STORE999999', store.getters.iosOrAndroid.appVersionCode)
      // if (Number(appVersion) > store.getters.iosOrAndroid.appVersionCode) {
      // if (Number(appVersion) < store.getters.iosOrAndroid.appVersionCode) {
      //   console.log('app有新版本啦啦啦', Number(appVersion))
      //   // uni.globalAlert({
      //   //   data: {
      //   //     type: 3,
      //   //   },
      //   // })
      //   uni.navigateTo({
      //       url: `/components/globalAlert/globalAlert?data=${JSON.stringify(options.data)}`,
      //       success(e) {
      //         console.log('11111',e)
      //       }
      //   })
      // }
      // #endif
      
      // if (store.getters['login/isLogin']) {
      //   // 查询信息
      //   await getSelfInfo()
      // } 
    } catch (e) {
      errToast(e)
    }
  },
  onShow: function () {
    console.log('App Show')
  },
  onHide: function () {
    console.log('App Hide')
  }
}
</script>

<style>
/*每个页面公共css */
page {
 	background-color: #f4f4f4;
}
</style>
